package com.bonus.canteen.core.auth.role.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("mgr_role_warehouse")
@ApiModel("角色仓库表")
public class MgrRoleWarehouse implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("角色ID")
   private Long roleId;
   @ApiModelProperty("仓库ID")
   private Long warehouseId;

   public Long getRoleId() {
      return this.roleId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public MgrRoleWarehouse setRoleId(final Long roleId) {
      this.roleId = roleId;
      return this;
   }

   public MgrRoleWarehouse setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
      return this;
   }

}
